%define modname mcrypt
%define soname %{modname}.so
%define inifile 30_%{modname}.ini

Summary:	Bindings for the libmcrypt library
Name:		php-pecl-%{modname}
Version:	1.0.1
Release:	%mkrel 1
Source0:	https://pecl.php.net/get/mcrypt-%{version}.tgz
Group:		Development/PHP
License:	PHP License
URL:		https://pecl.php.net/package/mcrypt
BuildRequires:	php-devel >= 3:7.0.0
BuildRequires:	libmcrypt-devel
Requires:	php >= 3:7.0.0
Provides:	php-%{modname} = %{version}-%{release}
Obsoletes:	php-mcrypt < 3:7.0.0

%description
Provides bindings for the unmaintained libmcrypt.

%prep
%setup -q -n %{modname}-%{version}

%build
%serverbuild

export EXTENSION_DIR="%{_libdir}/php/extensions"
phpize
%configure2_5x --with-libdir=%{_lib} \
	--with-%{modname}=shared,%{_prefix}

%make_build

%install
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions
install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

echo "extension = %{soname}" > %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%files
%config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%{_libdir}/php/extensions/%{soname}



%changelog
* Fri Oct 26 2018 mokraemer <mokraemer> 1.0.1-1.mga6
+ Revision: 1325726
- php7 backport packages
- import php7 packages for backport
- fix Obsoletes

* Fri Oct 26 2018 mokraemer <mokraemer> 1.0.1-4.mga7
+ Revision: 1325711
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-3.mga7
+ Revision: 1300233
- Mageia 7 Mass Rebuild

* Mon Dec 18 2017 mokraemer <mokraemer> 1.0.1-2.mga7
+ Revision: 1183285
+ rebuild (emptylog)

* Mon Dec 04 2017 mokraemer <mokraemer> 1.0.1-1.mga7
+ Revision: 1181284
- added support for old mcrypt
- Created package structure for php-pecl-mcrypt.

